/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: CommonUITasks.java,v 1edcc4e0d7bc 2010/07/03 23:32:33 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.mobile.ui;

import javax.annotation.Nonnull;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id:$
 *
 **********************************************************************************************************************/
public interface CommonUITasks
  {
    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public void showTemporaryMessage (final @Nonnull String string);

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public void alertDialog (@Nonnull String title,
                             @Nonnull String message,
                             @Nonnull Runnable positiveBehaviour);

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public void alertDialog (@Nonnull String title,
                             @Nonnull String message,
                             @Nonnull Runnable positiveBehaviour,
                             @Nonnull Runnable negativeBehaviour);

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public void showDialog (int id);

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    @Nonnull
    public Object createTimePickerDialog (@Nonnull ActionListener listener);

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    @Nonnull
    public Object createDatePickerDialog (@Nonnull ActionListener listener);
  }
